rte_mtr_meter_profile(3)

πŸ’– rte_mtr_meter_profile(3) πŸ’–

okay bestie, welcome to the group chat. this is <pink>rte_mtr_meter_profile</pink>, straight out of the DPDK Library Functions Manual β€” literally it's the manual page for a struct, and she is iconic. no cap. πŸ’…


πŸŽ€ NAME πŸŽ€

rte_mtr_meter_profile β€” the meter profile, bestie. that's her, that's the whole name, she's a struct and she's thriving. ✨


🌸 SYNOPSIS 🌸

#include <rte_mtr.h>

✨ Data Fields

  • enum rte_mtr_algorithm alg
  • int packet_mode

(that's the thumbnail version, babes β€” the full glow-up is down in Field Documentation πŸ‘‡)


πŸ¦‹ Detailed Description πŸ¦‹

Meter profile. yes that's it, that's the vibe. she is a struct whose whole job is being a meter profile, and she is serving.

Definition at line 128 of file rte_mtr.h.

πŸ‘‘ Field Documentation πŸ‘‘

enum rte_mtr_algorithm alg

Traffic metering algorithm. that's the algorithm picker, bestie β€” she decides which flavour of metering we're doing. πŸ’œ

Definition at line 130 of file rte_mtr.h.

uint64_t cir

Committed Information Rate (CIR) β€” and she's measured in bytes per second or packets per second (which one depends on the mode, we'll get there, be patient 🫢).

Definition at line 139 of file rte_mtr.h.

uint64_t cbs

Committed Burst Size (CBS) β€” measured in bytes or packets. the burst-y bestie. πŸ“

Definition at line 142 of file rte_mtr.h.

uint64_t ebs

Excess Burst Size (EBS) β€” also bytes or packets. the extra bit, the garnish, the ✨. 🌸

Definition at line 145 of file rte_mtr.h.

struct { ... } srtcm_rfc2697

Not me dropping a whole anonymous struct β€” okay. these items are only valid when alg is set to srTCM - RFC 2697. periodt. don't touch her otherwise. πŸ’€

uint64_t pir

Peak Information Rate (PIR) β€” bytes per second or packets per second. the peak. the ceiling. the main character. πŸ‘‘

Definition at line 160 of file rte_mtr.h.

uint64_t pbs

Peak Burst Size (PBS) β€” bytes or packets. 🌈

Definition at line 166 of file rte_mtr.h.

struct { ... } trtcm_rfc2698

Another anonymous struct, and these items are only valid when alg is set to trTCM - RFC 2698. iykyk. 🧚

uint64_t eir

Excess Information Rate (EIR) β€” bytes per second or packets per second. πŸ”₯

Definition at line 181 of file rte_mtr.h.

struct { ... } trtcm_rfc4115

And the third anonymous struct, bestie, these items are only valid when alg is set to trTCM - RFC 4115. that's the trio, she's complete. πŸ’–

int packet_mode

okay this one matters, listen up:

  • when it's zero, the byte mode is enabled for the current profile β€” so the rate and size fields are in bytes per second and bytes, respectively.
  • when it's non-zero, the packet mode is enabled for the current profile β€” so the rate and size fields are in packets per second and packets, respectively.

so like... she's the switch. the vibe check. zero = bytes, not-zero = packets. easy. that's literally it. πŸ¦‹

Definition at line 199 of file rte_mtr.h.

πŸ’œ Author πŸ’œ

Generated automatically by Doxygen for DPDK from the source code. (not a human, just a very diligent little robot 🫢)


and that's the page, bestie!! DPDK, Version 25.11.3 β€” mwah, slay, go forth and meter responsibly πŸ’…βœ¨πŸŽ€

πŸ“¦ where this page comes from